/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst.feature;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author Jakub Kolman 
 */

@XmlRootElement
@XmlType(propOrder = {"facialPoints", "x", "y", "z" })
public class FeaturePoint {

    private double x;
    private double y;
    private double z;
    private FeaturePointType FEATURE_POINT_TYPE;

    public FeaturePoint(double x, double y, double z, FeaturePointType featurePointType) {
        this.x = x;
        this.y = y;
        this.z = z;
        this.FEATURE_POINT_TYPE = featurePointType;
    }

    @XmlAttribute  
    public double getX() {
        return x;
    }
    
    public void setX(double x) {
        this.x = x;
    }

    @XmlAttribute  
    public double getY() {
        return y;
    }
    
    public void setY(double y) {
        this.y = y;
    }

    @XmlAttribute  
    public double getZ() {
        return z;
    }
    
    public void setZ(double z) {
        this.z = z;
    }

    @XmlAttribute  
    public FeaturePointType getFeaturePointType() {
        return FEATURE_POINT_TYPE;
    }
    
    public void setFeaturePointType(FeaturePointType fp) {
        this.FEATURE_POINT_TYPE = fp;
    }
}
